<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'slider',

    /*
     * Package.
     */
    'package'   => 'com.ryo.test',

    /*
     * Modules.
     */
    'modules'   => ['banner', 'albums', 'pistures'],

    'banner'       => [
        'model' => [
            'model'                 => \Slider\Com.ryo.test\Models\Banner::class,
            'table'                 => 'banners',
            'presenter'             => \Slider\Com.ryo.test\Repositories\Presenter\BannerPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'name',  'folder_upload',  'link_redirect',  'status'],
            'translatables'         => [],
            'upload_folder'         => 'com.ryo.test/banner',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Slider',
            'package'   => 'Com.ryo.test',
            'module'    => 'Banner',
        ],

    ],
    'albums'       => [
        'model' => [
            'model'                 => \Slider\Com.ryo.test\Models\Albums::class,
            'table'                 => 'albums',
            'presenter'             => \Slider\Com.ryo.test\Repositories\Presenter\AlbumsPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'name',  'description',  'type'],
            'translatables'         => [],
            'upload_folder'         => 'com.ryo.test/albums',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Slider',
            'package'   => 'Com.ryo.test',
            'module'    => 'Albums',
        ],

    ],
    'pistures'       => [
        'model' => [
            'model'                 => \Slider\Com.ryo.test\Models\Pistures::class,
            'table'                 => 'pistures',
            'presenter'             => \Slider\Com.ryo.test\Repositories\Presenter\PisturesPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'folder_upload',  'status'],
            'translatables'         => [],
            'upload_folder'         => 'com.ryo.test/pistures',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Slider',
            'package'   => 'Com.ryo.test',
            'module'    => 'Pistures',
        ],

    ],
];
