<?php

namespace Slider\Com.ryo.test\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class AlbumsTransformer extends TransformerAbstract
{
    public function transform(\Slider\Com.ryo.test\Models\Albums $albums)
    {
        return [
            'id'                => $albums->getRouteKey(),
            'key'               => [
                'public'    => $albums->getPublicKey(),
                'route'     => $albums->getRouteKey(),
            ], 
            'id'                => $albums->id,
            'name'              => $albums->name,
            'description'       => $albums->description,
            'type'              => $albums->type,
            'url'               => [
                'public'    => trans_url('com.ryo.test/'.$albums->getPublicKey()),
                'user'      => guard_url('com.ryo.test/albums/'.$albums->getRouteKey()),
            ], 
            'status'            => trans('app.'.$albums->status),
            'created_at'        => format_date($albums->created_at),
            'updated_at'        => format_date($albums->updated_at),
        ];
    }
}